Bug 234322 - multimedia/handbrake: update to 1.2.0
Summary: multimedia/handbrake: update to 1.2.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Thomas Zander
URL:
Keywords: needs-qa, patch
: 234323 (view as bug list)
Depends on:
Blocks:
 
Reported: 2018-12-24 04:50 UTC by Yuichiro NAITO
Modified: 2018-12-30 11:53 UTC (History)
1 user (show)

See Also:


Attachments
handbrake-1.2.0.patch (12.97 KB, patch)
2018-12-24 04:50 UTC, Yuichiro NAITO
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Yuichiro NAITO 2018-12-24 04:50:22 UTC
Created attachment 200421 [details]
handbrake-1.2.0.patch

HandBrake 1.2.0 has been released.
This version includes following features and changes.

Runtime feature:
  - Backend library has been changed from libav to ffmpeg-4.1.
    Vulnerabilities of libav have been solved.
  - libx265 has been updated to 2.9.
  - Speex audio codec has been added for decode.

Buildtime change:
  - Assembler has been changed from yasm to nasm.
  - Clang compiler has been supported.
    USE_GCC is omitted.
    We no longer need libc++ link option.
  - BUILD_DEPENDS on binutils have been omitted.
    Our ld(1) has --exclude-libs option on all supported versions of FreeBSD.
  - Configure script respects $(CC) envrionment variable.
    We no longer need to patch config.py.
  - Configure script looks up python2 from $PATH.
    We no longer need to fix shebang.
  - Provides port specific patches by $(CP).
    To avoid patch of patches.

The attached `handbrake-1.2.0.patch` upgrades multimedia/handbrake port.
Please apply to Ports tree.
Thank you.
Comment 1 commit-hook freebsd_committer 2018-12-26 13:24:27 UTC
A commit references this bug:

Author: riggs
Date: Wed Dec 26 13:24:01 UTC 2018
New revision: 488386
URL: https://svnweb.freebsd.org/changeset/ports/488386

Log:
  Update to upstream version 1.2.0

  Detailed maintainer log:
  - Runtime feature:
    - Backend library has been changed from libav to ffmpeg-4.1.
      Vulnerabilities of libav have been solved.
    - libx265 has been updated to 2.9.
    - Speex audio codec has been added for decode.
  - Buildtime change:
    - Assembler has been changed from yasm to nasm.
    - Clang compiler has been supported.
      USE_GCC is omitted.
      We no longer need libc++ link option.
    - BUILD_DEPENDS on binutils have been omitted.
      Our ld(1) has --exclude-libs option on all supported versions of FreeBSD.
    - Configure script respects $(CC) envrionment variable.
      We no longer need to patch config.py.
    - Configure script looks up python2 from $PATH.
      We no longer need to fix shebang.
    - Provides port specific patches by $(CP).
      To avoid patch of patches.

  PR:		234322
  Submitted by:	naito.yuichiro@gmail.com (maintainer)

Changes:
  head/multimedia/handbrake/Makefile
  head/multimedia/handbrake/distinfo
  head/multimedia/handbrake/files/P00-freebsd-libavutil-x86-asm-h.patch
  head/multimedia/handbrake/files/P01-freebsd-ifo_types.h.patch
  head/multimedia/handbrake/files/patch-contrib_x265__10bit_module.defs
  head/multimedia/handbrake/files/patch-contrib_x265__12bit_module.defs
  head/multimedia/handbrake/files/patch-libhb_module.defs
  head/multimedia/handbrake/files/patch-libhb_nlmeans.c
  head/multimedia/handbrake/files/patch-make_configure.py
  head/multimedia/handbrake/files/patch-version.txt
  head/multimedia/handbrake/files/version.txt
Comment 2 commit-hook freebsd_committer 2018-12-26 16:05:28 UTC
A commit references this bug:

Author: tijl
Date: Wed Dec 26 16:05:00 UTC 2018
New revision: 488402
URL: https://svnweb.freebsd.org/changeset/ports/488402

Log:
  Update handbrake entries now that 1.2.0 has been released.

  PR:		234322
  Submitted by:	?? ??? <naito.yuichiro@gmail.com> (maintainer)

Changes:
  head/security/vuxml/vuln.xml
Comment 3 Kubilay Kocak freebsd_committer freebsd_triage 2018-12-30 11:53:51 UTC
*** Bug 234323 has been marked as a duplicate of this bug. ***